# Generated from rabbit-slide-kou-zpnight-2017.9.6.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rabbit-slide-kou-zpnight

Name: rubygem-%{gem_name}
Version: 2017.9.6.0
Release: 1%{?dist}
Summary: PGroonga & Zulip
License: CC-BY-SA-4.0
URL: http://slide.rabbit-shocker.org/authors/kou/zpnight/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
PGroonga is fast and flexible full text search extension for PostgreSQL. Zulip
is a chat tool that uses PostgreSQL and PGroonga. This talk describes why
PGroonga is suitable for Zulip.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.rabbit
%{gem_instdir}/config.yaml
%{gem_instdir}/images
%{gem_instdir}/pdf
%{gem_instdir}/pgroonga-and-zulip.rab
%{gem_instdir}/theme.rb
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.rd
%{gem_instdir}/Rakefile

%changelog
* Tue Sep 14 2021 mockbuilder - 2017.9.6.0-1
- Initial package
